
import HomeMergeSellCom from "./HomeMergeSellCom";
import HomeMergeTipCom from "./HomeMergeTipCom";


export default class HomeMergeBottom {
    private MergeTipCom: HomeMergeTipCom;
    private MergeSellCom: HomeMergeSellCom;
    public constructor(vm: fgui.GComponent) {
        this.MergeTipCom = new HomeMergeTipCom(vm.getChild('MergeTip').asCom);
        this.MergeSellCom = new HomeMergeSellCom(vm.getChild('MergeSell').asCom);
    }

    public onEnable(): void {
        this.MergeTipCom.onEnable();
        this.MergeSellCom.onEnable();
    }


    public onDisable(): void {
        this.MergeTipCom.onDisable();
        this.MergeSellCom.onDisable();
    }


}
